Opened 3 years ago

Closed 3 years ago

#11225 closed defect (fixed)

openldap needs .la files at runtime

Reported by: thomas Owned by: thomas
Priority: normal Milestone: 8.4
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description

slapd will not start in case the .la files has been removed.

Looks like that at least /zsr/lib/openldap should be added to the exception in the remove-la-files.sh script. There are additional .la in /usr/lib but I'm not sure (yet) whether they are needed at runtime

Change History (5)

comment:1 by thomas, 3 years ago

Owner: changed from blfs-book to thomas
Status: newassigned

comment:2 by Bruce Dubbs, 3 years ago

Yes, it looks like you are right. I see lt_dlopen in servers/slapd/overlays/ppolicy.c, servers/slapd/slapi/plugin.c, and servers/slapd/module.c.

We'll have to investigate what modules it is trying to open. I haven't built the server ins a long time -- just the client.

comment:3 by Pierre Labastie, 3 years ago

Do you remember the thread on blfs-dev starting at http://lists.linuxfromscratch.org/pipermail/blfs-dev/2018-March/034165.html? At the time, it looked like the .la files were referenced in the slapd.conf file, and that removing the .la extension was enough. Is it not true anymore? Or maybe you missed the sed in the "configuring" section. if so, it may be better to move it to the "Installation" section...

comment:4 by thomas, 3 years ago

Was commented out in r20527 - looks like this needs to be reverted (or brought in again at installation section)

Thanks Pierre for the pointer, wasn't aware of that thread.

Last edited 3 years ago by thomas (previous) (diff)

comment:5 by thomas, 3 years ago

Resolution: fixed
Status: assignedclosed

Fixed in r20618

Note: See TracTickets for help on using tickets.